% % % % % % % % % % % % % % % % % % % % % % % % % % % %
% Script goal: read input file, cut gene sequance and parse the gene name.
% 
% INPUT:
%  fasta_file_nm: a path of FASTA file of genes sequences.
%  
% OUTPUT:
%  name_set: list of clean sequences' names.
%  seq_set:  list of sequences.
% 
% * Maya Galili,  Apr 2017
% % % % % % % % % % % % % % % % % % % % % % % % % % % %

% read fasta file
function [name_set, seq_set] = read_fasta(fasta_file_nm)
[name_set, seq_set] = fastaread(fasta_file_nm,'TrimHeaders',true);
name_set=cellfun(@(x) split(x, ".",2), name_set, 'UniformOutput' , false);
name_set=cellfun(@(x) x{2}, name_set, 'UniformOutput' , false);
end
